Buildozer - requirement pysftp

I'm able to use pysftp on kivy, but I can't package my app using this requirement. Using buildozer, in the message says I'm using pip 8.1.1 and there is another version, 8.1.2. But I checked my...

Scrapy setup ubuntu 16.04 or any other

My today installed fresh Ubuntu 16.04 was preinstalled with python: [email protected]:~$ python --version Python 2.7.11+ [email protected]:~$ python3 --version Python 3.5.1+ As mentioned on manual page...

Install Paramiko on my Mac OS X 10.11

I tried to install paramiko on my Mac OS X 10.11 sudo pip install paramiko Password:******* then I got The directory '/Users/bheng/Library/Caches/pip/http' or its parent directory is not owned by...

pip install paramiko failed with error code 1

While trying to install paramiko on my fedora I get the following error: [[email protected] ~]$ sudo pip install paramiko Collecting paramiko Using cached...

unable to install pyopenssl (python27)

iam new to programming. i was following steps in which asked me to install pyopenssl using "pip install pyopenssl" command but failed with an error vc9.0 required i downloaded VCfor python27 but...

Unable to install pwn package for Python 2.7

While trying to install pwn package for Python 2.7, I encountered an error about capstone.dll. I tried to install using the command line and using PyCharm, but it shows the same error. Here's the...

PyOpenSSl version 0.13.1 after pip upgrade

I am on Mac El Capitan. My system shows me stuck on PyOpenSSl version 0.13.1. When I upgrade to 16.2.0, the upgrade is successful. However, when I check the version, it's still on 0.13.1. Why is...

Flask can't see modules installed by pip

I installed Flask on Python 2.7.12/Apache 2.4/Ubuntu 16.04.1 LTS. I've been using these two tutorials to get set up. I'm not running venv or any other virtual environment (unlike this post). ...

Cryptography install hangs on Amazon AMI when running `./certbot-auto --debug --verbose certonly --standalone -d foo.com`

I am trying to install Certbot and genereate some certificates for my Amazon AMI server, however when I run: sudo ./certbot-auto --debug --verbose certonly --standalone -d foo.com the setup...

Ansible cannot import docker-py even though it is installed (Ansible 2.3.0.0)

I'm having the same problem as volvox who asked the orginal question but on Ansible 2.3.0.0 when I use the advice in the answer from anoxis to his post. Steps to reproduce: I created a new...

OSError: [Errno 1] Operation not permitted: '/System/Library/Frameworks/Python.framework/Versions/2.7/man'

I'm trying to install shub, the Scrapinghub command line tool in OSX 10.11.6 (El Capitan) via pip. The installation script downloads the required modules and at some point returns the following...

How to list (freeze) only the Python modules imported/required by my project

I want to generate the requirements.txt file. When using pip freeze on MacOS, I get a long list of...

Receiving CFFI missing while install Google Assistant SDK Samples

I am trying to add voice recognition to my Raspberry Pi 3B using this guide. I have made it to this part until the command below through ssh and getting some kind of CFFI missing error. I have...

Python- IP address module

I have python 2.7 installed. I installed pip install py2-ipaddress. Ran the following in powershell. The issue is No Output import ipaddress def ipEntered(): while True: try: ...

Superset installation fails

I am trying to install superset on ubuntu-16.04.1-desktop-amd64 in a virtual box, but I keep getting the following error. I am both new on ubuntu (linux) and superset. Any ideas how to fix this?...

Error pip install python-binance (Command "/usr/bin/python -u -c "import setuptools...)

I'm trying to pip install python-binance but cannot do it :/.. I looked for similar errors before asking and I found some but when I do what people say (for exemple pip install setuptools...

Trouble installing scrapy ("Segmentation fault (core dumped)")

I'm having issues installing scrapy with and without the sudo command. scrapy -V continues to return "command not found." Does anyone recognize this error? I'm using Lubuntu 18.04, Python...

Why doesn't certbot-dns-cloudflare plugin install under aws linux

I have an elastic beanstalk with a single ec2 instance and I need to install an SSL certificate during deployment and at this time the server can't be reached via the ip address given by the A...

Pip: permission denied when installing packages using --user flag

I am trying to install jupyter pip install --user jupyter However I get this error: Could not install packages due to an EnvironmentError: [Errno 13] Permission denied: '/Library/Python/2.7' Check...

Install ansible on windows getting too long

I am using cygwin64 Terminal to install Ansible on Windows 10. Everything is working find until it get stuck installing pynacl. What am I missing? Collecting ansible Using cached...

Python elasticsearch_dsl module not found in Python3 running on Windows 10 Ubuntu after successful installation

I successfully install the elasticsearch_dsl module in Windows 10 Ubuntu, but the module cannot be found in Python3. Can anyone shed light on what the problem might be? It works fine when I run...

pip unable to install package - Dockerfile

For the below Dockerfile: FROM openjdk:10.0.2-jdk RUN curl -sSLO https://files.pythonhosted.org/packages/1d/64/a18a487b4391a05b9c7f938b94a16d80305bf0369c6b0b9509e86165e1d3/setuptools-41.0.1.zip...

fatal error: ffi.h: No such file or directory on pip2 install pyOpenSSL

One of the steps I always use to install / build my Ansible agent on target nodes was pip2 install pyOpenSSL. This is a requirement for your Ansible client in order to use the standard Ansible...

airflow + why airflow return unclear erros

I am using the airflow application on my Linux server note - Airflow is a platform to programmatically author, schedule and monitor workflows. from some unclear reason we get the following issues...

Ansible failed to complete because of deprecated Python even though Python 3 is installed

I'm trying to run LaunchKit from google to get some app screenshots. I've gone through all of the steps on the GitHub page (https://github.com/LaunchKit/LaunchKit) for the open source code. After...

CentOS 7 - Install Paramiko - bash: paramiko: command not found... error

I am new to Python and CentOS and looking for some options to automate some daily job using Paramiko. However, got below error when installing Paramiko. Hope you guys can help. [[email protected] ~]$...

ERROR: MySQL_python-1.2.5-cp27-none-win_amd64.whl is not a supported wheel on this platform

So I am setting up an old project it's Python 2 and Django 1 where I'm stuck with the installation of requirement.txt. This is the main error I'm getting while installing Building wheel for...

pip + why pip removing the current version while we not identify the option force-reinstall

I am installing the following python module pip install ipaddress-1.0.23-py2.py3-none-any.whl *the pip failed on* Processing ipaddress-1.0.23-py2.py3-none-any.whl Installing collected packages:...

Attempting to update Ansible on a mac

I am attempting to upgrade from Ansible 2.9.2 to 2.10. I know the current ansible needs to be deleted, and I believe I was successful in that. There are several different command lines in the ...

I have an error opening zenmap it says "Could not import the zenmapGUI.App module: 'No module named gtk', I checked in these directories:"

Hey i just install zenmap in kali linux in vmware. And i got an error it says "Could not import the zenmapGUI.App module: 'No module named gtk', I checked in these...